-- 1975 TARDIS

local T={}
T.Base="base"
T.Name="1975 TARDIS"
T.ID="baker"
T.Interior={
	Model="models/doctorwho1200/baker/interior.mdl",
	Portal={
	        pos=Vector(0,-224.5,44.5),
	        ang=Angle(0,90,0),
	        width=45,
	        height=92
	},
	Fallback={
		pos=Vector(0,-206,0.5),
		ang=Angle(0,90,0),
	},
	ExitDistance=600,
	IdleSound={
		{
			path="doctorwho1200/baker/interior_static.wav",
			volume=1	
		}
	},
	Light={
	      color=Color(255,255,255),
	      pos=Vector(0,0,150),
	      brightness=3
	},
	Parts={
		console={
			model="models/doctorwho1200/baker/console.mdl"
		},
                door={
                        model="models/doctorwho1200/baker/door.mdl",posoffset=Vector(0,0,-3.2),angoffset=Angle(0,90,0)
                },
		bakerrot=true,
		bakerdet=true,
		bakergov=true,
		bakerhandle1=true,
		bakerhandle2=true,
		bakerhandle3=true,
		bakerhandle4=true,
		bakerlever1=true,
		bakerlever2=true,
		bakerlever3=true,
		bakermp=true,
		bakerswitch1=true,
		bakerswitch2=true,
		bakerswitch3=true,
		bakerswitch4=true,
		bakerswitch5=true,
		bakerswitch6=true,
		bakerswitch7=true,
		bakertoggle1=true,
		bakertoggle2=true,
		bakertoggle3=true,
		bakeraudio=true,
		bakerbuttons1=true,
		bakerbuttons2=true,
		bakerbuttons3=true,
		bakerbuttons4=true,
		bakerbuttons5=true,
		bakerbuttons6=true,
		bakerbuttons7=true,
		bakerbuttons8=true,
		bakerbuttons9=true,
		bakerscreen=true,
	}
}
T.Exterior={
	Model="models/doctorwho1200/baker/exterior.mdl",
	Mass=2000,
	Portal={
		pos=Vector(23.5,0,48),
		ang=Angle(0,0,0),
		width=45,
		height=92
	},
	Fallback={
		pos=Vector(35,0,5),
		ang=Angle(0,0,0)
	},
	Light={
		enabled=true,
		pos=Vector(0,0,107),
		color=Color(255,240,160)
	},
	Sounds={
		Teleport={
			demat="doctorwho1200/baker/demat.wav",
			mat="doctorwho1200/baker/mat.wav"
		},
		Lock="doctorwho1200/baker/lock.wav",
		Door={
			enabled=true,
			open="doctorwho1200/baker/doorext_open.wav",
			close="doctorwho1200/baker/doorext_close.wav"
		},
		FlightLoop="doctorwho1200/baker/flight_loop.wav"
	},
	Parts={
                door={
                        model="models/doctorwho1200/baker/doorext.mdl",posoffset=Vector(0,0,-3.2),angoffset=Angle(0,-90,0)
                },
		vortex={
			model="models/doctorwho1200/baker/1974timevortex.mdl",
			pos=Vector(0,0,50),
			ang=Angle(0,0,0),
			scale=10
		}
	}
}

TARDIS:AddInterior(T)